@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nova+Cut&family=Play:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Play:wght@400;700&display=swap');

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "Play", sans-serif;
	font-weight: 400;
	font-style: normal;
	scroll-margin-top: 50px;
}

html {
	scroll-behavior: smooth;
}

body{
	background: rgb(64,60,52);
	background-attachment: fixed;
	display: flex;
	justify-content: space-between;
	flex-direction: column;
	min-height: 100dvh;
}

.background{
	background: url("./background.png") center center/cover no-repeat;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100dvh;
	z-index: -1;
}

body.hidden{
	overflow: hidden;
}

.row{
	display: flex;
}

.container{
	max-width: 1320px;
	padding: 0 10px;
	margin: 0 auto;
}

header{
	padding: 15px 0;
	color: white;
}

header{
	font-size: 28px;
	text-align: center;
}

footer .row{
	justify-content: center;
	gap: 40px;
}

.categories{
	padding: 0 10px;
	position: absolute;
	top: calc(50% - 39dvh);
	left: 0;
	width: 100%;
	height: 76dvh;
}

.categories .row{
	flex-direction: column;
	align-items: center;
	justify-content: space-between;
	gap: 10px;
	margin-top: 5px;
}

.categories img{
	display: block;
	margin: 0 auto;
	width: 320px;
	max-width: 460px;
	height: 160px;
	object-fit: cover;
	border-radius: 20px;
}

.categories button{
	width: 355.2px;
	color: rgb(255, 255, 255);
	text-shadow: 2px 2px #000000;
	display: block;
	height: 100px;
	border-radius: 20px;
	cursor: pointer;
	border: none;
	font-size: 26px;
	max-width: 425px;
	box-shadow: 0.5px 0.5px 4px rgba(106, 106, 106, 0.464);
}

.categories button:nth-child(1){
	background: url("./btn-logo/food-1.JPG") 0 -70px/cover no-repeat;
}

.categories button:nth-child(2){
	background: url("./btn-logo/drink1.JPG") 0 -30px/cover no-repeat;
}

.categories button:nth-child(3){
	background: url("./btn-logo/water.jpeg") 0 -30px/cover no-repeat;
}

.categories button img{
	height: 100%;
	width: 100%;
	object-fit: cover;
	border-radius: 20px;
}

.menu{
	display: none;
}

.menu-nav{
	margin-top: 20px;
	margin-bottom: 10px;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.to-category{
	align-items: center;
	color: white;
	background: none;
	border: none;
	cursor: pointer;
	font-size: 20px;
}

.to-category-img{
	height: 35px;
	width: 35px;
	margin-right: 20px;
	background: url("./arrowback.svg") 0 0/cover no-repeat;
}

.menu-item{
	width: 48%;
	height: 270px;
	background-color: rgba(28,26,26, 0.8);
	color: white;
	position: relative;
	opacity: 0;
	transition: all 0.5s;
	transform: translate(0, 30px);
	margin-right: auto;
}

.menu-item.show{
	opacity: 1;
	transform: translate(0, 0);
}

.menu-item img{
	width: 100%;
	height: 109px;
	object-fit: cover;
}

.modal-image{
	height: 100dvh;
	width: 100vw;
	position: fixed;
	top: 0;
	left: 0;
	background-color: rgba(28,26,26, 0.8);
	z-index: -1;
	opacity: 0;
	transition: all 0.5s;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.modal-image.active{
	z-index: 5;
	opacity: 1;
	transform: scale(1);
}

.modal-image img{
	width: 100%;
	margin-bottom: 5vh;
}

.menu-item h3{
	margin: 10px auto 8px auto;
	padding: 0 3px;
	width: fit-content;
	font-size: 1.1rem;
	font-weight: 700;
	text-align: center;
	border-bottom: 2px solid #F48501;
}

.menu-item .descr{
	padding: 0 10px;
	font-size: 12px;
	height: 28px;
	overflow: hidden;
	text-overflow: ellipsis;
}

.menu-item .row{
	justify-content: space-between;
	align-items: center;
}

.price-content{
	position: absolute;
	bottom: 0px;
	width: 100%;
	left: 0;
	padding: 0;
}

.menu-item .gramm{
	font-size: 12px;
	padding: 5px 5px 10px 10px;
	color: #CBCBCB;
	font-weight: 400;
	display: flex;
	align-items: center;
	gap: 5px;
}

.menu-item .gramm img{
	width: 12px;
	height: 12px;
}

.menu-item .price{
	font-weight: 400 !important;
	font-size: 18px;
	padding: 5px 10px 10px 10px; 
	border-left: 2px solid #F48501;
	border-top: 2px solid #F48501;
	border-radius: 10px 0 0 0;
}

.menu-item .price-modif{
	border-radius: 0;
}

.menu-list.row{
	flex-direction: row;
	gap: 10px;
}

.menu-list h2{
	color: white;
	font-size: 20px;
	margin: 20px  0 10px 0;
	scroll-margin-top: 60px;
}

.menu-list.subCategorys{
	flex-direction: column;
}

.wrapper-for-swipper{
	position: sticky;
	top: 0;
	left: 0;
	padding: 10px 0;
	z-index: 1;
	background-color: #000000ea;
}

.swiper {
	position: relative;
	width: 100%;
	z-index: 1;
	opacity: 3;
	height: auto;
}

.hide {
	z-index: -1;
	opacity: 0;
	top: -100%;
	height: 0;
	overflow: hidden;
	margin-bottom: 0px;
}

.swiper-slide{
	width: fit-content !important;
	margin: 0 !important;
}

.swiper-slide a{
	display: block;
	width: fit-content;
	padding: 5px 20px 10px 20px;
	position: relative;
	text-align: center;
	text-decoration: none;
	color: #939393;
	font-size: 14px;
	line-height: 20px;
	border-bottom: 2px solid gray;
}

.swiper-slide a.active{
	font-size: 18px;
	color: #F48501;
	border-bottom: 2px solid #F48501;
}

.subCategoriMenuList{
	display: flex;
	gap: 10px;
	flex-wrap: wrap;
	justify-content: center;
}

header .row{
	align-items: center;
	gap: 30px;
}

.burger{
	width: 40px;
	height: 25px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	position: relative;
	z-index: 3;
}

.logo{
	position: absolute;
	width: 100%;
	left: 0;
	z-index: 2;
	font-family: "Nova Cut", system-ui;
	font-weight: 400;
	font-style: normal;
	font-size: 30px;
}

.burger figure{
	height: 4px;
	border-radius: 5px;
	width: 100%;
	background-color: white;
	transition: all 0.4s;
}

.burger #burger-2{
	width: 70%;
}

.burger.active #burger-1{
	transform: rotate(45deg) translate(8px, 7px);
}

.burger.active #burger-2{
	transform: translate(16px, 0);
	width: 0;
}

.burger.active #burger-3{
	transform: rotate(-45deg) translate(7px, -7px);
}

.modal-burger{
	position: absolute;
	top: 0;
	left: -140%;
	height: 100dvh;
	width: 100vw;
	z-index: 2;
	transition: all 0.3s;
	border-radius: 0 0 100% 100%;
	overflow: hidden;
}

.modal-burger select{
	padding: 7px 0;
	color: #ffffff;
	background-color: #262626;
	border: 1px solid black;
	line-height: 60px;
	font: inherit;
	letter-spacing: inherit;
	word-spacing: inherit;
}

.modal-burger-wrapper{
	position: relative;
	z-index: 5;
	background-color: #000000;
	box-shadow: 1px 1px 10px black;
	width: 75vw;
	height: 100dvh;
	overflow: hidden;
	overflow-y: scroll;
	padding: 80px 10px 40px 10px;
	font-size: 16px;
	text-align: left;
	display: flex;
	flex-direction: column;
	gap: 15px;
}

.modal-burger-wrapper a{
	color: white;
	text-decoration: none;
}

.modal-burger.active{
	left: 0;
	border-radius: 0;
}

.modal-burger-wrapper .address span{
	font-weight: 700;
}

.modal-burger-wrapper .map{
	display: block;
	height: 380px;
	margin: 10px 0;
	text-align: right;
}

.modal-burger-wrapper img{
	height: 360px;
	width: 100%;
	object-fit: cover;
}

footer a{
	display: block;
	height: 45px;
	width: 45px;
}

footer a img{
	width: 100%;
	height: 100%;
}

footer .row{
	gap: 15px;
}

.logo__special{
	margin-top: 20px;
	height: 60px;
	display: block;
	width: 100%;
}

.logo__special img{
	width: 190px;
	height: auto;
}

footer .brand__mark{
	text-align: center;
	margin-top: 15px;
	font-family: Calibri, sans-serif;
	color: rgb(180, 180, 180);
	font-size: 11px;
}

footer{
	padding: 15px 0 10px 0;
}

.dobavky{
	height: 100px;
}